Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class ReadVerbHandler

    java.lang.Object
      org.apache.cassandra.db.ReadVerbHandler

All Implemented Interfaces:
  IVerbHandler

    public class ReadVerbHandler

extends java.lang.Object
implements IVerbHandler

Constructor Summary
`ReadVerbHandler()`

Method Summary
`void` | `doVerb(Message message, java.lang.String id)` This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers).
`static ReadResponse` | `getResponse(ReadCommand command, Row row)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadVerbHandler

    public ReadVerbHandler()

Method Detail

### doVerb

    public void doVerb(Message message,
                       java.lang.String id)

  Description copied from interface: `IVerbHandler`
  This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers). Note that the caller should not be holding any locks when calling this method because the implementation may be synchronized.

  Specified by:
    `doVerb` in interface `IVerbHandler`
  Parameters:
    `message` - - incoming message that needs handling.

### getResponse

    public static ReadResponse getResponse(ReadCommand command,
                                           Row row)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation